Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.validator
Class WCSGetCoverageValidator

    java.lang.Object
      org.deegree.portal.owswatch.validator.AbstractValidator
          org.deegree.portal.owswatch.validator.WCSGetCoverageValidator

All Implemented Interfaces:
  Serializable, Validator

    public class WCSGetCoverageValidator

extends AbstractValidator
implements Serializable

A specific implementation of AbstractValidator

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`WCSGetCoverageValidator()`

Method Summary
`ValidatorResponse` | `validateAnswer(org.apache.commons.httpclient.HttpMethodBase method, int statusCode)` Recieves an instance of HttpMethodBase, extracts the needed data from it and builds a ValidatorResponse instance

Methods inherited from class org.deegree.portal.owswatch.validator.AbstractValidator
`closeStream, copyStream, instantiateParser, isValidHttpResponse, parseStream, validateErrorHttpResponse, validateXml, validateXmlServiceException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCSGetCoverageValidator

    public WCSGetCoverageValidator()

Method Detail

### validateAnswer

    public ValidatorResponse validateAnswer(org.apache.commons.httpclient.HttpMethodBase method,
                                            int statusCode)

  Description copied from interface: `Validator`
  Recieves an instance of HttpMethodBase, extracts the needed data from it and builds a ValidatorResponse instance

  Specified by:
    `validateAnswer` in interface `Validator`
  Overrides:
    `validateAnswer` in class `AbstractValidator`
  Returns:
    instance of ValidatorResponse extracted from HttpMethodBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org